Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1318727 - qemu-kvm: Integer overflow in SDL when creating too wide screen
Summary: qemu-kvm: Integer overflow in SDL when creating too wide screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1330512 1330513
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-17 15:34 UTC by Adam Mariš
Modified: 2021-02-17 04:09 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:49:50 UTC
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2016-03-17 15:34:46 UTC
Qemu emulator built with the VGA emulator support is vulnerable to an integer overflow issue. It could occur while creating wide screen with large resolutions.

A privileged user inside guest could use this flaw to crash the Qemu instance on the host, resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-04/msg03799.html

Comment 1 Adam Mariš 2016-03-17 15:35:02 UTC
Acknowledgments:

Name: Zuozhi Fzz (Alibaba Inc.)

Comment 3 Prasad Pandit 2016-04-26 11:37:35 UTC
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 4 Prasad Pandit 2016-04-26 11:47:26 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1330513]

Comment 5 Prasad Pandit 2016-04-26 11:47:42 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1330512]

Comment 6 Fedora Update System 2016-05-12 07:26:52 UTC
xen-4.5.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-05-16 16:19:57 UTC
xen-4.6.1-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-28 23:21:55 UTC
xen-4.5.3-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.